For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integrations
      • POSTReserve a new integration
      • GETList integrations by category
      • GETGet integration credential status
      • POSTInstall Slack integration
      • POSTRotate Slack credentials
      • POSTInstall Telegram integration
      • GETCheck managed Telegram bot availability
      • POSTInitiate managed Telegram bot creation
      • POSTRotate managed Telegram bot token
      • DELCancel managed Telegram bot request
      • POSTConfirm managed Telegram bot rename
      • POSTReject managed Telegram bot rename
      • GETGet managed Telegram bot request status
      • GETList configured integration tools
      • GETList Vectorize configurations
      • POSTCreate Vectorize configuration
      • POSTCreate Vectorize index
      • POSTList Vectorize indexes
      • POSTTest new Vectorize configuration
      • GETGet Vectorize configuration
      • PUTUpdate Vectorize configuration
      • DELDelete Vectorize configuration
      • POSTTest saved Vectorize configuration
      • GETList Weaviate configurations
      • POSTCreate Weaviate configuration
      • POSTTest new Weaviate configuration
      • GETGet Weaviate configuration
      • PUTUpdate Weaviate configuration
      • DELDelete Weaviate configuration
      • POSTList Weaviate collections
      • POSTTest Weaviate connection
      • GETGet integration details
      • POSTSave integration credentials
      • DELDelete integration credentials
      • GETList tools for an integration
      • GETGet an integration tool
Dashboard
LogoLogo
Runtype APIIntegrations

Initiate managed Telegram bot creation

POST
/v1/integrations/telegram/managed/initiate
POST
/v1/integrations/telegram/managed/initiate
$curl -X POST https://api.runtype.com/v1/integrations/telegram/managed/initiate \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "suggestedBotName": "WeatherWizardBot"
>}'
1{
2 "deepLink": "https://t.me/WeatherWizardManagerBot?start=abc123xyz",
3 "expiresAt": "2024-07-01T12:00:00Z",
4 "integrationId": "intg_9876543210abcdef",
5 "requestId": "req_1234567890abcdef"
6}
Initiate creation of a managed Telegram bot, returning a deep link to the manager bot and a pending request id.
Was this page helpful?
Previous

Rotate managed Telegram bot token

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
suggestedBotNamestringRequired1-64 characters
botCommandslist of objectsOptional
botDescriptionstringOptional<=512 characters
integrationIdstringOptional>=1 character
suggestedUsernamestringOptional1-32 characters
surfaceIdstringOptional>=1 character

Response

Managed bot creation initiated
deepLinkstring
expiresAtstring
integrationIdstring
requestIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error